package models

import (
	"errors"
	"os"
)

const (
	GinContxtLog = "log"
)

const (
	GinAuthorKey       = "Authorization"
	GinAuthorPrefixKey = "Bearer "
)

var (
	ErrorInvalidData = errors.New("no such value")
	ErrorPasswordErr = errors.New("user or password invalid")
)

const (
	FileLoginHtml = "./static/login.html"
)

var AdminPassword = os.Getenv("ADMIN_PASSWORD")

func init() {
	if AdminPassword == "" {
		AdminPassword = "admin@123"
	}
}
